**Figure:** Astrophysical primary black hole mass distribution for Truncated, Broken power law, Power law + peak and Multi Peak.

##### Data

The data used to create the following plot is an output from the population analyses from [`GWPopulation`](https://github.com/ColmTalbot/gwpopulation). The ppd data is created in a post-processing step in the [`GWPopulation-pipe`](https://git.ligo.org/colm.talbot/gwpopulation_pipe/-/tree/review) pipeline in [post_plots.py](https://git.ligo.org/colm.talbot/gwpopulation_pipe/-/blob/review/gwpopulation_pipe/post_plots.py). 

* ../Multiple-Fig-Data/mass_ppd/default/o1o2o3_mass_b_iid_mag_two_comp_iid_tilt_powerlaw_redshift_mass_data.h5 - Truncated
* ../Multiple-Fig-Data/mass_ppd/default/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_mass_data.h5 - Power law + Peak
* ../Multiple-Fig-Data/mass_ppd/default/o1o2o3_mass_d_iid_mag_two_comp_iid_tilt_powerlaw_redshift_mass_data.h5 - Broken Power law
* ../Multiple-Fig-Data/mass_ppd/default/o1o2o3_mass_e_iid_mag_two_comp_iid_tilt_powerlaw_redshift_mass_data.h5 - Multi Peak

The final figures also use the population hyper-posterior sample files to outline additional features in the plots. 

* ../Population_Samples/default/o1o2o3_mass_d_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json - Broken Power law
* ../Population_Samples/default/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json - Power law + Peak
* ../Population_Samples/default/o1o2o3_mass_e_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json - Multi Peak


##### Reading and plotting data

An example plotting script showing how to read and plot the data is provided:

```bash
python plot_ppd_mass.py

```

This produces the following figure [primary_mass_comparison.pdf](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Figures/Fig-5-m1-ppd/primary_mass_ppd_comparison.png)
